# Uses of Interface
java.security.Certificate

Packages that use Certificate
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of Certificate in java.security

Methods in java.security that return Certificate
Modifier and Type
Method
Description
`Certificate[]`
Identity.`certificates()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a copy of all the certificates for this `Identity`.
Methods in java.security with parameters of type Certificate
Modifier and Type
Method
Description
`void`
Identity.`addCertificate(Certificate certificate)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds a certificate for this `Identity`.
`void`
Identity.`removeCertificate(Certificate certificate)`
Deprecated, for removal: This API element is subject to removal in a future version.
Removes a certificate from this `Identity`.